<script>
    import Day from './_design_1_day.svelte';   
    import { day_width, day_height, yScale, city_chosen, scale_chosen, yScale_0_la,yScale_1_la,
     yScale_2_la,yScale_3_la,yScale_4_la,yScale_5_la,yScale_6_la,yScale_7_la,yScale_8_la,
     yScale_9_la,yScale_10_la,yScale_11_la,yScale_12_la,yScale_13_la,yScale_14_la, yScale_15_la,
     yScale_0_la_d,yScale_1_la_d, yScale_2_la_d,yScale_3_la_d,yScale_4_la_d,yScale_5_la_d,yScale_6_la_d,yScale_7_la_d,yScale_8_la_d,
     yScale_9_la_d,yScale_10_la_d,yScale_11_la_d,yScale_12_la_d,yScale_13_la_d,yScale_14_la_d, yScale_15_la_d } from "./store.js";
    
    export let data = {};
    
    // Size and margins
      
    const width = 800;
      const height = 700;
      const margin = { top: 40, right: 20, bottom: 20, left: 20 };
      const innerWidth = width - margin.left - margin.right;
      const innerHeight = height - margin.top - margin.bottom;
    
    
     
    </script>
    
    <style>
      text {
        font-size: 10px;
        dominant-baseline: middle;
      }
       
      p {
         stroke: grey;
         font-size: 35px;
         opacity: 0.5;
      }
    
    
    </style>
    
    <h2>Total heating energy in December</h2>
    <p>{$city_chosen}</p>
    
    <svg width={width+margin.left+margin.right} height={height+margin.top+margin.bottom}>
      <g transform = "translate({margin.left}, {margin.top})">
         {#each Object.keys(data) as bdtp_nr, bdtp_idx}
           <g transform="translate(0, {bdtp_idx*day_height+(20*bdtp_idx)})">
            <text x={day_width*31+20} y={$yScale(0)}>{bdtp_nr}</text>
             {#if bdtp_idx==0}
               {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_0_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_0_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==1}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_1_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_1_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==2}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_2_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_2_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==3}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_3_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_3_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==4}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_4_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_4_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==5}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_5_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_5_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==6}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_6_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_6_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==7}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_7_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_7_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==8}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_8_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_8_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==9}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_9_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_9_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==10}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_10_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_10_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==11}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_11_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_11_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==12}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_12_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_12_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==13}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_13_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_13_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==14}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_14_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_14_la_d}/>
                 </g>
                 {/each}
                 {:else if bdtp_idx==15}
                 {#each Object.keys(data[bdtp_nr])as day_nr, day_idx}
                 <g transform="translate({(day_nr-1)*day_width},0)">
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_15_la}/>
                    <Day data={data[bdtp_nr][day_nr]} yScale_chosen={yScale_15_la_d}/>
                 </g>
                 {/each}
                 {/if}
                 </g>
              {/each}
           </g>
    </svg>